import { NodeApi } from '../../json-crdt/model/api/nodes';
import type { QuillDeltaNode } from './QuillDeltaNode';
import { type ArrApi, type ArrNode, type ExtApi, type StrApi } from '../../json-crdt';
import type { QuillDeltaPatch } from './types';
import type { SliceNode } from '../peritext/slice/types';
export declare class QuillDeltaApi extends NodeApi<QuillDeltaNode> implements ExtApi<QuillDeltaNode> {
    text(): StrApi;
    slices(): ArrApi<ArrNode<SliceNode>>;
    apply(ops: QuillDeltaPatch['ops']): void;
}
